gnome-mag: ZoomRegion Struct Reference

# ZoomRegion Struct Reference

`#include <zoom-region.h>`

## Data Fields
BonoboObject | parent
BonoboPropertyBag * | properties
gboolean | invert
gboolean | is_managed
gboolean | draw_cursor
gboolean | cache_source
gchar * | smoothing
gfloat | contrast
gfloat | xscale
gfloat | yscale
gfloat | contrast_r
gfloat | contrast_g
gfloat | contrast_b
gfloat | bright_r
gfloat | bright_g
gfloat | bright_b
gint | border_size_top
gint | border_size_left
gint | border_size_right
gint | border_size_bottom
guint32 | border_color
gint | x_align_policy
gint | y_align_policy
GNOME_Magnifier_ZoomRegion_ScrollingPolicy | smooth_scroll_policy
GNOME_Magnifier_ZoomRegion_ColorBlindFilter | color_blind_filter
GNOME_Magnifier_RectBounds | roi
GNOME_Magnifier_RectBounds | viewport
ZoomRegionPrivate * | priv
CoalesceFunc | coalesce_func
gint | timing_iterations
gboolean | timing_output
gint | timing_pan_rate
gboolean | exit_magnifier
gboolean | poll_mouse

## Detailed Description

Definition at line 44 of file zoom-region.h.

## Field Documentation

BonoboObject ZoomRegion::parent

Definition at line 45 of file zoom-region.h.

BonoboPropertyBag* ZoomRegion::properties

Definition at line 46 of file zoom-region.h.

Referenced by impl_zoom_region_get_properties(), zoom_region_init(), and zoom_region_properties_init().

gboolean ZoomRegion::invert

Definition at line 47 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_process_pixbuf(), and zoom_region_set_property().

gboolean ZoomRegion::is_managed

Definition at line 48 of file zoom-region.h.

Referenced by zoom_region_get_property(), and zoom_region_set_property().

gboolean ZoomRegion::draw_cursor

Definition at line 49 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_paint_cursor(), and zoom_region_set_property().

gboolean ZoomRegion::cache_source

Definition at line 50 of file zoom-region.h.

Referenced by zoom_region_get_source_subwindow(), and zoom_region_init().

gchar* ZoomRegion::smoothing

Definition at line 51 of file zoom-region.h.

Referenced by zoom_region_get_property(), and zoom_region_set_property().

gfloat ZoomRegion::contrast

Definition at line 52 of file zoom-region.h.

gfloat ZoomRegion::xscale

Definition at line 53 of file zoom-region.h.

Referenced by impl_zoom_region_get_mag_factor(), impl_zoom_region_set_mag_factor(), timing_report(), zoom_region_clip_to_exposed_target(), zoom_region_create_pixmap(), zoom_region_expose_handler(), zoom_region_get_move_x_y(), zoom_region_get_property(), zoom_region_moveto(), zoom_region_paint_pixmap(), zoom_region_set_property(), zoom_region_set_viewport(), zoom_region_source_rect_from_view_bounds(), zoom_region_source_rect_from_view_rect(), zoom_region_update_pixmap(), zoom_region_update_scale(), and zoom_region_view_rect_from_source_rect().

gfloat ZoomRegion::yscale

Definition at line 54 of file zoom-region.h.

Referenced by impl_zoom_region_get_mag_factor(), impl_zoom_region_set_mag_factor(), timing_report(), zoom_region_clip_to_exposed_target(), zoom_region_create_pixmap(), zoom_region_expose_handler(), zoom_region_get_move_x_y(), zoom_region_get_property(), zoom_region_moveto(), zoom_region_paint_pixmap(), zoom_region_pan_test(), zoom_region_set_property(), zoom_region_set_viewport(), zoom_region_source_rect_from_view_bounds(), zoom_region_source_rect_from_view_rect(), zoom_region_update_pixmap(), zoom_region_update_scale(), and zoom_region_view_rect_from_source_rect().

gfloat ZoomRegion::contrast_r

Definition at line 55 of file zoom-region.h.

Referenced by impl_zoom_region_get_contrast(), impl_zoom_region_set_contrast(), zoom_region_get_property(), zoom_region_init(), zoom_region_process_pixbuf(), and zoom_region_set_property().

gfloat ZoomRegion::contrast_g

Definition at line 56 of file zoom-region.h.

Referenced by impl_zoom_region_get_contrast(), impl_zoom_region_set_contrast(), zoom_region_get_property(), zoom_region_init(), zoom_region_process_pixbuf(), and zoom_region_set_property().

gfloat ZoomRegion::contrast_b

Definition at line 57 of file zoom-region.h.

Referenced by impl_zoom_region_get_contrast(), impl_zoom_region_set_contrast(), zoom_region_get_property(), zoom_region_init(), zoom_region_process_pixbuf(), and zoom_region_set_property().

gfloat ZoomRegion::bright_r

Definition at line 58 of file zoom-region.h.

Referenced by impl_zoom_region_get_brightness(), impl_zoom_region_set_brightness(), zoom_region_get_property(), zoom_region_init(), zoom_region_process_pixbuf(), and zoom_region_set_property().

gfloat ZoomRegion::bright_g

Definition at line 59 of file zoom-region.h.

Referenced by impl_zoom_region_get_brightness(), impl_zoom_region_set_brightness(), zoom_region_get_property(), zoom_region_init(), zoom_region_process_pixbuf(), and zoom_region_set_property().

gfloat ZoomRegion::bright_b

Definition at line 60 of file zoom-region.h.

Referenced by impl_zoom_region_get_brightness(), impl_zoom_region_set_brightness(), zoom_region_get_property(), zoom_region_init(), zoom_region_process_pixbuf(), and zoom_region_set_property().

gint ZoomRegion::border_size_top

Definition at line 61 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_init_window(), zoom_region_paint_border(), zoom_region_set_property(), zoom_region_set_viewport(), and zoom_region_update_borders().

gint ZoomRegion::border_size_left

Definition at line 62 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_init_window(), zoom_region_paint_border(), zoom_region_set_property(), zoom_region_set_viewport(), and zoom_region_update_borders().

gint ZoomRegion::border_size_right

Definition at line 63 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_init_window(), zoom_region_paint_border(), zoom_region_set_property(), zoom_region_set_viewport(), and zoom_region_update_borders().

gint ZoomRegion::border_size_bottom

Definition at line 64 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_init_window(), zoom_region_paint_border(), zoom_region_set_property(), zoom_region_set_viewport(), and zoom_region_update_borders().

guint32 ZoomRegion::border_color

Definition at line 65 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_paint_border(), and zoom_region_set_property().

gint ZoomRegion::x_align_policy

Definition at line 66 of file zoom-region.h.

Referenced by zoom_region_get_move_x_y(), zoom_region_get_property(), zoom_region_init(), and zoom_region_set_property().

gint ZoomRegion::y_align_policy

Definition at line 67 of file zoom-region.h.

Referenced by zoom_region_get_move_x_y(), zoom_region_get_property(), zoom_region_init(), and zoom_region_set_property().

GNOME_Magnifier_ZoomRegion_ScrollingPolicy ZoomRegion::smooth_scroll_policy

Definition at line 68 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_scroll(), zoom_region_scroll_fast(), and zoom_region_set_property().

GNOME_Magnifier_ZoomRegion_ColorBlindFilter ZoomRegion::color_blind_filter

Definition at line 69 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_process_pixbuf(), and zoom_region_set_property().

GNOME_Magnifier_RectBounds ZoomRegion::roi

Definition at line 71 of file zoom-region.h.

Referenced by impl_zoom_region_get_roi(), impl_zoom_region_set_roi(), zoom_region_align(), zoom_region_get_move_x_y(), zoom_region_init(), and zoom_region_pan_test().

GNOME_Magnifier_RectBounds ZoomRegion::viewport

Definition at line 72 of file zoom-region.h.

Referenced by timing_report(), zoom_region_create_pixmap(), zoom_region_get_move_x_y(), zoom_region_get_property(), zoom_region_init_window(), zoom_region_paint_cursor(), zoom_region_pan_test(), zoom_region_recompute_exposed_bounds(), zoom_region_set_viewport(), zoom_region_update_borders(), and zoom_region_update_current().

ZoomRegionPrivate* ZoomRegion::priv

Definition at line 73 of file zoom-region.h.

Referenced by impl_magnifier_create_zoom_region(), impl_zoom_region_set_mag_factor(), impl_zoom_region_set_pointer_pos(), timing_report(), zoom_region_align(), zoom_region_calculate_scroll_rects(), zoom_region_clip_to_exposed_target(), zoom_region_clip_to_scaled_pixmap(), zoom_region_clip_to_source(), zoom_region_clip_to_window(), zoom_region_coalesce_updates(), zoom_region_create_pixmap(), zoom_region_cursor_rect(), zoom_region_do_dispose(), zoom_region_expose_handler(), zoom_region_finalize(), zoom_region_get_property(), zoom_region_get_source_subwindow(), zoom_region_init(), zoom_region_init_window(), zoom_region_moveto(), zoom_region_paint_border(), zoom_region_paint_crosswire_cursor(), zoom_region_paint_cursor(), zoom_region_paint_pixmap(), zoom_region_pan_test(), zoom_region_process_updates(), zoom_region_queue_update(), zoom_region_recompute_exposed_bounds(), zoom_region_scroll_fast(), zoom_region_scroll_smooth(), zoom_region_set_cursor_pos(), zoom_region_set_property(), zoom_region_set_viewport(), zoom_region_source_rect_from_view_bounds(), zoom_region_source_rect_from_view_rect(), zoom_region_sync(), zoom_region_unpaint_crosswire_cursor(), zoom_region_unpaint_cursor(), zoom_region_update(), zoom_region_update_borders(), zoom_region_update_current(), zoom_region_update_cursor(), zoom_region_update_pixmap(), zoom_region_update_pointer(), zoom_region_update_pointer_idle(), zoom_region_update_pointer_timeout(), zoom_region_update_scale(), and zoom_region_view_rect_from_source_rect().

CoalesceFunc ZoomRegion::coalesce_func

Definition at line 74 of file zoom-region.h.

Referenced by zoom_region_coalesce_updates(), and zoom_region_init().

gint ZoomRegion::timing_iterations

Definition at line 75 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_pan_test(), and zoom_region_set_property().

gboolean ZoomRegion::timing_output

Definition at line 76 of file zoom-region.h.

Referenced by gdk_timing_idle(), impl_zoom_region_set_roi(), zoom_region_align(), zoom_region_get_property(), zoom_region_init(), zoom_region_scroll(), zoom_region_set_property(), zoom_region_time_frame(), and zoom_region_update().

gint ZoomRegion::timing_pan_rate

Definition at line 77 of file zoom-region.h.

Referenced by impl_zoom_region_set_roi(), zoom_region_get_property(), zoom_region_pan_test(), and zoom_region_set_property().

gboolean ZoomRegion::exit_magnifier

Definition at line 78 of file zoom-region.h.

Referenced by impl_zoom_region_set_roi(), zoom_region_get_property(), zoom_region_pan_test(), and zoom_region_set_property().

gboolean ZoomRegion::poll_mouse

Definition at line 79 of file zoom-region.h.

Referenced by zoom_region_get_property(), zoom_region_init(), zoom_region_set_property(), and zoom_region_update_pointer().

The documentation for this struct was generated from the following file:

- zoom-region.h